#!/bin/bash

function usage ()
{
    echo "Usage: $0 <HRP_root_dir> <DukePlus_root_dir>"
    exit 1
}

hrproot="$1"
dproot="$2"

if [ -z "$hrproot" ]; then
    usage
fi
if [ -z "$dproot" ]; then
    usage
fi

if [ ! -d Dukeplus/handtest ]; then
    echo "Must run this script from the DNE root"
    exit 1
fi

# Create links to the HRP
ln -sf "$hrproot/duke3d.def" ./Dukeplus/duke3d.def
ln -sf "$hrproot/duke3d_hrp.def" ./duke3d_hrp.def
ln -sf "$hrproot/duke3d_hrp_polymer.def" ./duke3d_hrp_polymer.def
ln -sf "$hrproot/highres" ./Dukeplus/highres
ln -sf "$hrproot/highpal" ./highpal

# Create links to DukePlus
ln -sf "$dproot/DukePlus/dukebike" ./Dukeplus/dukebike
ln -sf "$dproot/DukePlus/DUKEPLUS_RESOURCES" ./Dukeplus/dukeplus_resources
ln -sf "$dproot/DukePlus/strooper" ./Dukeplus/strooper

# Create links to directories here
ln -sf Dukeplus ./DukePlus
ln -sf Dukeplus/dukeplus_resources ./dukeplus_resources  # link
ln -sf Dukeplus/handtest ./handtest
ln -sf Dukeplus/highres ./highres  # link

# Create link to DUKE3D.GRP
ln -sf ~/.eduke32/DUKE3D.GRP .
